SWAB(3)

NAME
swab - swap adjacent bytes

LIBRARY
libc

SYNOPSIS
#include <unistd.h>
void
swab(const void * restrict src, void * restrict dst, ssize_t len);

DESCRIPTION
The function swab() copies len bytes from the location referenced by src to the location referenced by dst, swapping adjacent bytes.

The argument len must be an even number. If len is less than zero, nothing will be done.

SEE ALSO
bzero(3), memset(3)

HISTORY
A swab() function appeared in AT&T UNIX.